"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/loaders/css-loader.ts
var css_loader_exports = {};
__export(css_loader_exports, {
  default: () => CssLoader
});
module.exports = __toCommonJS(css_loader_exports);
var import_path = require("path");
var import_fs = require("fs");
var import_tailwindcss_webpack_plugin_utils = require("tailwindcss-webpack-plugin-utils");
async function CssLoader(source) {
  this.cacheable(false);
  (0, import_tailwindcss_webpack_plugin_utils.debug)(`[css-loader]: transform ${this.resourcePath} start`);
  const callback = this.async();
  const { service, dirty } = this._compiler.$tailwind;
  await service.ensureInit();
  if (dirty.size && (0, import_tailwindcss_webpack_plugin_utils.isDev)()) {
    const { configFiles, files } = Array.from(dirty).reduce(
      (map, file) => {
        file === "config-file" || service.configDependencies.has(file) ? map.configFiles.push(file) : map.files.push(file);
        return map;
      },
      {
        configFiles: [],
        files: []
      }
    );
    if (configFiles.length) {
      await service.refresh();
    } else {
      service.updateChangedContent(
        files.map((file) => {
          return {
            content: (0, import_fs.readFileSync)(file, "utf8"),
            extension: (0, import_path.extname)(file).slice(1)
          };
        })
      );
    }
    dirty.clear();
  }
  try {
    const result = await service.transformCSS(source);
    (0, import_tailwindcss_webpack_plugin_utils.debug)(`[css-loader]: transform ${this.resourcePath} success`);
    callback(null, result.css);
  } catch (err) {
    (0, import_tailwindcss_webpack_plugin_utils.debug)(`[css-loader]: transform ${this.resourcePath} err: 
${err}`);
    callback(err, `${source}
/* Error: ${err}*/`);
  }
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {});
